## ros-noetic-mrpt-map 1.0.3

=== debian/changelog ===
ros-noetic-mrpt-map (1.0.3-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-map (1.0.2-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-map (1.0.1-1buster) buster; urgency=high

  * Fix build errors
  * Removed now obsolete tf_prefix
  * Ported to tf2 and mrpt::ros1bridge
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 23 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-map (1.0.0-1buster) buster; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * Contributors: Jose Luis Blanco Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 29 Apr 2022 22:00:00 -0000

ros-noetic-mrpt-map (0.1.26-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 04 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-map (0.1.25-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 03 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-map (0.1.24-1buster) buster; urgency=high

  * fix build against mrpt-1.5
  * Fix build against MRPT 1.9.9
  * Contributors: Inounx, Jose Luis Blanco-Claraco, Julian Lopez Velasquez

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 11 Apr 2019 22:00:00 -0000

ros-noetic-mrpt-map (0.1.23-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 13 Jun 2018 22:00:00 -0000

ros-noetic-mrpt-map (0.1.22-1buster) buster; urgency=high

  * fix all catkin_lint errors
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 21 May 2018 22:00:00 -0000

ros-noetic-mrpt-map (0.1.21-1buster) buster; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * fix use c++14
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Adapted CMakeLists to new mrpt
  * Contributors: Borys Tymchenko, Hunter Laux, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 26 Apr 2018 22:00:00 -0000

ros-noetic-mrpt-map (0.1.20-1buster) buster; urgency=high

  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * fix use c++14
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Adapted CMakeLists to new mrpt
  * Contributors: Borys Tymchenko, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 25 Apr 2018 22:00:00 -0000

ros-noetic-mrpt-map (0.1.18-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 21 Jan 2017 23:00:00 -0000

ros-noetic-mrpt-map (0.1.17-1buster) buster; urgency=high

  * Remove all errors generated by catkin_lint and cleanup unused templates from CMakeLists.txt files
  * Contributors: Jorge Santos

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 21 Jan 2017 23:00:00 -0000

ros-noetic-mrpt-map (0.1.16-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 12 Dec 2016 23:00:00 -0000

ros-noetic-mrpt-map (0.1.15-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 05 Nov 2016 23:00:00 -0000

ros-noetic-mrpt-map (0.1.14-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 11 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-map (0.1.13-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 02 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-map (0.1.12-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 02 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-map (0.1.11-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 20 Aug 2016 22:00:00 -0000

ros-noetic-mrpt-map (0.1.10-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 04 Aug 2016 22:00:00 -0000

ros-noetic-mrpt-map (0.1.9-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 04 Aug 2016 22:00:00 -0000

ros-noetic-mrpt-map (0.1.8-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 28 Jun 2016 22:00:00 -0000

ros-noetic-mrpt-map (0.1.7-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 19 Jun 2016 22:00:00 -0000

ros-noetic-mrpt-map (0.1.6-1buster) buster; urgency=high

  * build fixes
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 19 Mar 2016 23:00:00 -0000

ros-noetic-mrpt-map (0.1.5-1buster) buster; urgency=high

  * Fix build against mrpt 1.3.0
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 28 Apr 2015 22:00:00 -0000

ros-noetic-mrpt-map (0.1.4-1buster) buster; urgency=high

  * Removed 'mrpt' dep from catkin_package().
    I *think* this is giving problems to dependant pkgs and is not needed...
  * localization: New param to configure sensor sources in a flexible way
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 26 Dec 2014 23:00:00 -0000

ros-noetic-mrpt-map (0.1.3-1buster) buster; urgency=high

  * Fix many missing install files
  * Contributors: Jose Luis Blanco



## ros-noetic-mrpt-map 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(mrpt_map)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED 
	COMPONENTS
		roscpp
		nav_msgs
	)

find_package(mrpt-maps REQUIRED)
find_package(mrpt-ros1bridge REQUIRED)

message(STATUS "MRPT_VERSION: ${MRPT_VERSION}")

if (CMAKE_COMPILER_IS_GNUCXX)
	# High level of warnings.
	# The -Wno-long-long is required in 64bit systems when including sytem headers.
	# The -Wno-variadic-macros was needed for Eigen3, StdVector.h
	add_compile_options(-Wall -Wno-long-long -Wno-variadic-macros)
	# Workaround: Eigen <3.4 produces *tons* of warnings in GCC >=6. See http://eigen.tuxfamily.org/bz/show_bug.cgi?id=1221
	if (NOT ${CMAKE_CXX_COMPILER_VERSION} LESS "6.0")
		add_compile_options(-Wno-ignored-attributes -Wno-int-in-bool-context)
	endif()
endif()
IF(CMAKE_COMPILER_IS_GNUCXX AND NOT CMAKE_BUILD_TYPE MATCHES "Debug")
  add_compile_options(-O3)
ENDIF()

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  CATKIN_DEPENDS 
		roscpp
		nav_msgs
#  DEPENDS mrpt
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(include ${catkin_INCLUDE_DIRS})

## Declare a cpp executable
add_executable(map_server_node src/map_server_node.cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(map_server_node
  mrpt::maps
  mrpt::ros1bridge
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

# Mark executables and/or libraries for installation
install(TARGETS map_server_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY
  launch
  tutorial
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

=== debian/changelog ===
ros-noetic-mrpt-map (1.0.4-1focal) focal; urgency=high

  * mrpt_map: new param to load from ROS map-YAML file
    (Closes #73 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/73>)
  * Contributors: Jose Luis Blanco Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 27 Mar 2023 22:00:00 -0000

ros-noetic-mrpt-map (1.0.3-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-map (1.0.2-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-map (1.0.1-1focal) focal; urgency=high

  * Fix build errors
  * Removed now obsolete tf_prefix
  * Ported to tf2 and mrpt::ros1bridge
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 23 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-map (1.0.0-1focal) focal; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * Contributors: Jose Luis Blanco Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 29 Apr 2022 22:00:00 -0000

ros-noetic-mrpt-map (0.1.26-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 04 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-map (0.1.25-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 03 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-map (0.1.24-1focal) focal; urgency=high

  * fix build against mrpt-1.5
  * Fix build against MRPT 1.9.9
  * Contributors: Inounx, Jose Luis Blanco-Claraco, Julian Lopez Velasquez

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 11 Apr 2019 22:00:00 -0000

ros-noetic-mrpt-map (0.1.23-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 13 Jun 2018 22:00:00 -0000

ros-noetic-mrpt-map (0.1.22-1focal) focal; urgency=high

  * fix all catkin_lint errors
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 21 May 2018 22:00:00 -0000

ros-noetic-mrpt-map (0.1.21-1focal) focal; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * fix use c++14
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Adapted CMakeLists to new mrpt
  * Contributors: Borys Tymchenko, Hunter Laux, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 26 Apr 2018 22:00:00 -0000

ros-noetic-mrpt-map (0.1.20-1focal) focal; urgency=high

  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * fix use c++14
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Adapted CMakeLists to new mrpt
  * Contributors: Borys Tymchenko, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 25 Apr 2018 22:00:00 -0000

ros-noetic-mrpt-map (0.1.18-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 21 Jan 2017 23:00:00 -0000

ros-noetic-mrpt-map (0.1.17-1focal) focal; urgency=high

  * Remove all errors generated by catkin_lint and cleanup unused templates from CMakeLists.txt files
  * Contributors: Jorge Santos

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 21 Jan 2017 23:00:00 -0000

ros-noetic-mrpt-map (0.1.16-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 12 Dec 2016 23:00:00 -0000

ros-noetic-mrpt-map (0.1.15-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 05 Nov 2016 23:00:00 -0000

ros-noetic-mrpt-map (0.1.14-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 11 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-map (0.1.13-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 02 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-map (0.1.12-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 02 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-map (0.1.11-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 20 Aug 2016 22:00:00 -0000

ros-noetic-mrpt-map (0.1.10-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 04 Aug 2016 22:00:00 -0000

ros-noetic-mrpt-map (0.1.9-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 04 Aug 2016 22:00:00 -0000

ros-noetic-mrpt-map (0.1.8-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 28 Jun 2016 22:00:00 -0000

ros-noetic-mrpt-map (0.1.7-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 19 Jun 2016 22:00:00 -0000

ros-noetic-mrpt-map (0.1.6-1focal) focal; urgency=high

  * build fixes
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 19 Mar 2016 23:00:00 -0000

ros-noetic-mrpt-map (0.1.5-1focal) focal; urgency=high

  * Fix build against mrpt 1.3.0
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 28 Apr 2015 22:00:00 -0000

ros-noetic-mrpt-map (0.1.4-1focal) focal; urgency=high

  * Removed 'mrpt' dep from catkin_package().
    I *think* this is giving problems to dependant pkgs and is not needed...
  * localization: New param to configure sensor sources in a flexible way
  * Contributors: Jose Luis Blanco



=== debian/control ===
Source: ros-noetic-mrpt-map
Section: misc
Priority: optional
Maintainer: Markus Bader <markus.bader@tuwien.ac.at>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-mrpt2, ros-noetic-nav-msgs, ros-noetic-roscpp
Homepage: https://wiki.ros.org/mrpt_map
Standards-Version: 3.9.2

Package: ros-noetic-mrpt-map
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-mrpt2, ros-noetic-nav-msgs, ros-noetic-roscpp
Description: The mrpt_map is able to publish a mrpt map as ros occupancy grid like the map_server

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-mrpt-map//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
